[arch-commits] Commit in dbh/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat May 2 14:30:25 EDT 2009


    Date: Saturday, May 2, 2009 @ 14:30:25
  Author: eric
Revision: 37527

Merged revisions 356,2304,37525 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/dbh/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r2304 | paul | 2008-05-31 01:00:40 -0400 (Sat, 31 May 2008) | 2 lines
  
  Added licenses for 64 packages.
........
  r37525 | eric | 2009-05-02 14:26:31 -0400 (Sat, 02 May 2009) | 2 lines
  
  upgpkg: dbh 1.0.24-3
      Added arch field, Added license
........

Modified:
  dbh/repos/extra-i686/	(properties)
  dbh/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)


Property changes on: dbh/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /dbh/trunk:1
   + /dbh/trunk:1-37526

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-02 18:27:25 UTC (rev 37526)
+++ extra-i686/PKGBUILD	2009-05-02 18:30:25 UTC (rev 37527)
@@ -2,17 +2,19 @@
 # Maintainer: aurelien <aurelien at archlinux.org>
 pkgname=dbh
 pkgver=1.0.24
-pkgrel=2
+pkgrel=3
 pkgdesc="A library to create Disk Based Hashtables on POSIX systems"
+arch=('i686' 'x86_64')
 url="http://dbh.sourceforge.net/"
+license=('LGPL')
 depends=('glibc')
-source=(http://dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
 md5sums=('42e122a321089f2429986d0d161ed92a')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list